Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

Bug #585530 reported by Roman Yepishev
916
This bug affects 189 people
Affects Status Importance Assigned to Milestone
Ubuntu One Servers
Fix Released
Critical
Eric Casteleijn

Bug Description

At the moment replication from desktopcouch to Ubuntu One service is disabled.
This bug reports serves as a master bug report for the reports that describe the failure to sync contacts and bookmarks.

Tags: metabug
Roman Yepishev (rye)
visibility: private → public
Revision history for this message
Robert Schilt (rschilt) wrote :

What is the latest on this issue.

UbuntuOne Status page at https://wiki.ubuntu.com/UbuntuOne/Status#Contacts reports:

"Monday, May 17, 2010: 585530 Sync between your desktops and the cloud continues to be disabled as we rollout more database servers to stabilize."

Are we any closer to seeing synchronisation enabled?

Revision history for this message
Pradeeper (pradeeper) wrote :

Yes, I also want to know the status update on this. Appreciate if somebody can update the wiki page above.

Revision history for this message
Martin Albisetti (beuno) wrote :

Unless there's a big catastrophe, it will be back to normal and super fast before the end of next week (closer to the Monday than Friday, I'd say).

Revision history for this message
Γουργιώτης Γιώργος (aka Gourgi) (gourgi) wrote :

thanx for the update on the timeline for this bug Martin.
This bug affects me too the last 3 weeks or so.
Keep up the good work over there ;)

Revision history for this message
rainesraid (mtodd0207) wrote :

I would just like to say that it has been a month. and still nothing. I understand that more servers are needed for more users, But does it really take this long.???? Seriously.

Revision history for this message
DanielD (daniel-deckersok) wrote :

<<<Unless there's a big catastrophe, it will be back to normal and super fast before the end of next week (closer to the Monday than Friday, I'd say).>>

Martin, thanks for the update. I know everyone is anxious for this to be up due to how useful it is. I worked for a couple of evenings trying to get the sync to work. I did see the status post on <https://wiki.ubuntu.com/UbuntuOne/Status> but it was dated the 17th. Being an optimist and a week later I hoped perhaps it was up and working now. It just never occurred to me to click on the hyper-link "585530" to get into this thread. I appreciate everyone working so hard to get the process up and running. Might it be possible as suggested above to get the <https://wiki.ubuntu.com/UbuntuOne/Status> page updated with your best guess and perhaps a current posted date? No one is trying to hold your feet to the fire for an exact date but just as you stated above you have a educated best guess that you could share on that page. It might help those like myself that just didn't think to click the link and follow this thread. I just sort of assumed (we know I shouldn't do that) this was the "up to date final word" on the issue. You could sort of "head-off" many from reporting this as a bug again. Just food for thought. I really do appreciate all of your efforts. I am currently attempting to try out the process and once I get it working, I fully intend to change to a pay account. This contact sync is worth every penny to have my phone backed up and current. - Daniel

Revision history for this message
kiilo (kiilo.org) wrote :

... spent some time to figure out what was wrong. Until i droped the line:

tail -f .cache/desktop-couch/log/desktop-couch-replication.log

to see what is going on ;-) .... 503 Service Temporarily Unavailable ...

Revision history for this message
Robert Schilt (rschilt) wrote :

If someone could provide an update on the server situation as it relates to Desktopcouch Replication I would be most appreciative. I'm more than happy to wait so long I hear what's going on. Having said that... anything beyond this week.... and I'll probably pack my bags - go on holidays and come back at the end of winter.

Revision history for this message
Martin Albisetti (beuno) wrote :

Hi Robert, my original comment stands, we hope to re-enable it on Monday or Tuesday. Will keep you updated.

Changed in ubuntuone-servers:
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Eric Casteleijn (thisfred)
Revision history for this message
Ilmars (ilmars) wrote :

Today is 01.06.2010 but Contacts still ooopss...

Revision history for this message
Robert Schilt (rschilt) wrote :

Thanks for the update Martin.

If possible please post an update here when the service has been re-enabled. Happy to do some testing and report back.

Cheers,

Revision history for this message
Axel Reimer (parity) wrote :

Sorry, for asking but will the service be available this week or next week?

Revision history for this message
spablue (s-shaw-hccnet) wrote :

There I was thinking i was doing something wrong as notes and files worked ... any new insight in to when the service will be back up?

Revision history for this message
Robert Schilt (rschilt) wrote :

With all respect to the UbuntuOne team... we keep hearing next week. But next week never seems to come. It would appear that Ubuntu has lost interest or perhaps come to terms with the complexities of providing Cloud services and decided to pull the pin on the project. My sense is that eventually the issues will be resolved but as to when this might happen... everyone's guess is as good as mine.

Robert

Revision history for this message
Matt Griffin (mattgriffin) wrote :

Robert: Sorry about the delay. We have made significant upgrades to our data store for contacts so it will do a much better job with scaling to the increased demand. We're in the process of moving users to this new environment and will re-enable contacts sync soon. We will do a better job with communicating progress and not wait until the job is completed. Refer to the Ubuntu One Status page: https://wiki.ubuntu.com/UbuntuOne/Status
Thanks!

Revision history for this message
Robert Schilt (rschilt) wrote :

Matt: thanks for getting back to us. Personally, I don't have an issue with the delay. My concern relates to always being told next week or soon (with next week or soon never coming). I understand the nature of Open Source projects and how all efforts rely on the selfless and at times thankless job of giving up ones time for free. Please keep us in the loop with status updates more regularly - rather than waiting for a dig (eg: mine) at you via this forum. Hope we get back online soon as many of us are hanging out for this synchronisation feature.

Cheers

Revision history for this message
Martin Albisetti (beuno) wrote :

So, a more detailed update of the situation.
We re-enabled replication last week, and due to the backlog generated by it being offline for so long, it totally killed our servers. In order to cope with such an unusual spike, we're now setting up the infrastructure to open up replication gradually and not disrupt the service in any way. We will open up replication for some users tomorrow, and increment from there. Until we see the load with the first batch of users, we won't know what the timeframe to be fully up again will be, but we're eager to get to 100%.

I'm sorry for not updating everyone last week, I was lost in a conference somewhere in Norway.
Will update this bug as soon as we have more news.

Revision history for this message
Martin Albisetti (beuno) wrote :

We have now successfully opened up replication for the first batch of users, and will continue to open up as thing stabilize. The accounts are being enabled in order of creation, so our oldest users will see replication kick in already, and gradually over next week the rest of the accounts.

Will update this bug again when all the accounts are re-enabled.

Revision history for this message
Robert Schilt (rschilt) wrote :

@Martin,

Thanks for the update.

Revision history for this message
AJenbo (ajenbo) wrote :

Is there any way to see how fare you are with enabling accounts, and what account number one has?
Or maybe just a % of accounts that you have enabled thus fare.

Revision history for this message
Gerhard Siegesmund (d-launchpad-jerri-de) wrote :

It's really a pity that this takes so long. I am trying to use the mobile sync tool for my iphone. But without the contacts synchronization to the desktop it's not much use. So eventually the 30 day test period will expire and I won't have been able to really try this functionality in the end. Bad timing. :-(

Revision history for this message
jsribeiro (jsribeiro) wrote :

Greetings,
I find it kind of odd that this is taking so long. It's been over a month.
Is there any other difficulty you guys are running into that we can help overcome?
As it stands, only File sync is working for me (I don't use Music Store or Notes) and even that is problematic, as I can't access my files from work using IE.
Quite a difficult task, standing up for the service...
Please keep us updated - it works better than leaving us in ignorance.
Regs,
Jorge Ribeiro

Revision history for this message
Andy Key (akpraha) wrote :

Any chance of this getting solved, let's say, by the end of the year? Instead of constantly promising "in the next few days, at most a week", maybe a more realistic estimate would be better?

Revision history for this message
papukaija (papukaija) wrote :

Please stop complaining. I know that it's annoying that u1 has so many bugs, but you are using a free service. Instead of complaining, you should help triaging bugs.

Revision history for this message
Andy Key (akpraha) wrote :

I'm sorry, I thought we were talking about one.ubuntu.com, a COMMERCIAL entity that is trying to convince me to PAY money. I have plenty of my own open-source efforts to subsidize someone else's COMMERCIAL venture.

Revision history for this message
Peter Bomars (pbomars) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

On Jun 29, 2010 7:50 AM, "Andy Key" <email address hidden> wrote:

I'm sorry, I thought we were talking about one.ubuntu.com, a COMMERCIAL
entity that is trying to convince me to PAY money. I have plenty of my
own open-source efforts to subsidize someone else's COMMERCIAL venture.

--
Desktopcouch Replication is disabled - evolution contacts and bookmarks are
not syncing
https:/...

Revision history for this message
Peter Bomars (pbomars) wrote :

Seriously? Stfu or fix it yourself.

On Jun 29, 2010 7:50 AM, "Andy Key" <email address hidden> wrote:

I'm sorry, I thought we were talking about one.ubuntu.com, a COMMERCIAL
entity that is trying to convince me to PAY money. I have plenty of my
own open-source efforts to subsidize someone else's COMMERCIAL venture.

--
Desktopcouch Replication is disabled - evolution contacts and bookmarks are
not syncing
https:/...

Revision history for this message
Niels Egberts (nielsegberts) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

But we are talking about a service where people pay for certain functionality. And at the moment it is broken. So nagging about more information whether the service is going online soon or not seems reasonable.

On Tue, Jun 29, 2010 at 02:52:19PM -0000, Peter Bomars wrote:
> Seriously? Stfu or fix it yourself.

Revision history for this message
AJenbo (ajenbo) wrote :

On Tue, Jun 29, 2010 at 02:52:19PM -0000, Peter Bomars wrote:
> Seriously? Stfu or fix it yourself.

That would require Canonical hindring him first, there is no way for some one out side Canonical to even take a look a this.

Revision history for this message
Rick Wilke (rick70433a) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolutioncontacts and bookmarks are not syncing

ROFL at your typo. Believe you meant 'hiring.'

Good luck to those working on the U1 contact synching. I'm anxiously awaiting it working smoothly so I can move over to Evolution and can quit using Outlook in Windows.
  ----- Original Message -----
  From: AJenbo
  To: <email address hidden>
  Sent: Saturday, July 03, 2010 8:09 PM
  Subject: [Bug 585530] Re: Desktopcouch Replication is disabled - evolutioncontacts and bookmarks are not syncing

  On Tue, Jun 29, 2010 at 02:52:19PM -0000, Peter Bomars wrote:
  > Seriously? Stfu or fix it yourself.

  That would require Canonical hindring him first, there is no way for
  some one out side Canonical to even take a look a this.

  --
  Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing
  https://bugs.launchpad.net/bugs/585530
  You received this bug notification because you are a direct subscriber
  of the bug.

  Status in Ubuntu One Servers: Triaged

  Bug description:
  At the moment replication from desktopcouch to Ubuntu One service is disabled.
  This bug reports serves as a master bug report for the reports that describe the failure to sync contacts and bookmarks.

  To unsubscribe from this bug, go to:
  https://bugs.launchpad.net/ubuntuone-servers/+bug/585530/+subscribe

Revision history for this message
Martin Bateman (martin-underwarehouse) wrote :

According lo launchpad this bug affect 47 people, although I expect in reality it's much more.
But these are the people that obviously what to use the service but can't and also care enough to report the bug and monitor it's progress.
Why not ask those 47 people for their account names and fast track them onto the new servers?

Revision history for this message
Niels Egberts (nielsegberts) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

On Wed, Jul 07, 2010 at 01:16:37PM -0000, Martin Bateman wrote:
> Why not ask those 47 people for their account names and fast track them onto the new servers?
I do not know how the internals are working but it looks like the Ubuntuone accounts are the same als the Launchpad accounts so that should be a trivial task.

Revision history for this message
geoffsharpe (geoffsharpe) wrote :

This is becoming increasingly frustrating and a little embarrassing. I have over the past three years become a great fan of Linux in general and Ubuntu in particular and had recently convinced several friends to try Ubuntu, especially on the back of Ubuntu One and the feature for synchronisation of contacts. Whilst I partially accept the argument that this is all basically free, I also have to say that this is exactly the point that many Linux fans point to as being a major benefit. I look forward every 6 months to the new release and even take a day off work to install it. This latest release, whilst appearing to offer fantastic improvements, has resulted in almost everything breaking and needing some kind of intervention from me to make it work on my admittedly ancient PC. But at least I have been able to make it work (almost - still some annoying faults like missing icons) but this contact problem is just causing me more and more frustration. For the past 2 months I have checked here on an almost daily basis just to see how much longer I will have to wait but apart from the early missed promises, there is no sign of when, if ever, this will be fixed. I am still a fan of Linux but increasingly looking at other distros to see if they can do what I need.

Revision history for this message
DanielD (daniel-deckersok) wrote :

Stick a fork in me. For three months I have been carrying around bits of paper and scrapes of envelopes with notes and numbers on them trying to hold out. The very info I should have been putting in my over priced iPhone. I so much wanted to replace those butt heads at Microsoft and shove iTunes in a smelly hole. iTunes can turn a good PC install to crap in seconds. Been running my email on evolution which will not sync. Tonight I had to be honest with myself. Ubuntu reminds me of the quote from Top Gun: "That was some of the best flying I've seen, right up to the part where you died". I shelled out the hundred bucks for Apple's Mobil Me. I don't want to spend three nights setting up a simple web cam, should be five minutes. Or two nights tweaking a firewall with a manual written by a sadist and web help pages dating from 2004. I have been convinced over and over that many in the Ubuntu community live and breath only for Linux and I have a other life. I want to install something on my PC and it just work and move on. My PC and phone are tools for making my life easier and that is not what it has become. I think you will get the system up and running. There are just too many good people working on it to not be successful. But honestly, I've been letting the tail wag the dog. I'm done. Good luck.

Revision history for this message
AdamOutler (adamoutler) wrote :

^^I'm with stupid.

This is a real Ubuntu deal killer and an embarrassment to the community. Why was this released as a core feature when it has not worked for 4 months?

I think I may be done.

Revision history for this message
AdamOutler (adamoutler) wrote :

Seriously release an update which notifies the end user of the status of the machine.

Revision history for this message
Michal Predotka (mpredotka) wrote :

Is there a way to manually pull contacts from Ubuntuone server?

Revision history for this message
William Grant (wgrant) wrote :

Note that this has nothing to do with the Ubuntu community; it's a Canonical product.

Revision history for this message
Emil Vatai (emil.vatai) wrote :

I know complaining doesn't help, so don't misunderstand me, I support the people behind U1 who are probably working hard on the problem, but I also agree with the people who are asking for a status update! Even a "we have no idea when it'll be fixed, but we're working on it" would be nice. Anyway, lets hope for the best.

Emil

Revision history for this message
michael (michaelahearn) wrote :

To those that are ready to jump off U1 ... Totally agree, if you need your contacts syncing right now, go with another service. I wouldn't normally say this, but with no status updates and no fix visible on the horizon, what choice do you have. I've been thinking of moving to DropBox myself ... Maybe when U1 gets fixed we'll all come back.

that being said ... as far as this issue being an "Ubuntu deal killer" - I totally disagree. Ubuntu has about as much to do with U1 as MAC OS X has to do with Mobil Me. The online service is not the OS. Don't let issues with contacts syncing in U1 take you away from one of the best Linux distributions available ...

I'll also join the group in requesting an actual status update ... and, if you can swing it, an expected fix date ???

Revision history for this message
Samizdata (samizdata) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolutioncontacts and bookmarks are not syncing

I am suspecting that people are seeing U1 as a bit of a trend with Ubuntu
losing sight of it's roots and deciding to act more like a traditional
company and less like the F/OSS powerhouse it was. I know certain decisions
being made bother me a great deal. We’re getting less and less of "It just
works" and more and more of "We hope... It just works..."

This coming from someone who is counting himself lucky his SSD is still
working....
--------------------------------------------------
From: "michael" <email address hidden>
Sent: Monday, July 12, 2010 9:46 AM
To: <email address hidden>
Subject: [Bug 585530] Re: Desktopcouch Replication is disabled -
evolutioncontacts and bookmarks are not syncing

> To those that are ready to jump off U1 ... Totally agree, if you need
> your contacts syncing right now, go with another service. I wouldn't
> normally say this, but with no status updates and no fix visible on the
> horizon, what choice do you have. I've been thinking of moving to
> DropBox myself ... Maybe when U1 gets fixed we'll all come back.
>
> that being said ... as far as this issue being an "Ubuntu deal killer" -
> I totally disagree. Ubuntu has about as much to do with U1 as MAC OS X
> has to do with Mobil Me. The online service is not the OS. Don't let
> issues with contacts syncing in U1 take you away from one of the best
> Linux distributions available ...
>
> I'll also join the group in requesting an actual status update ... and,
> if you can swing it, an expected fix date ???
>
> --
> Desktopcouch Replication is disabled - evolution contacts and bookmarks
> are not syncing
> https://bugs.launchpad.net/bugs/585530
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Servers: Triaged
>
> Bug description:
> At the moment replication from desktopcouch to Ubuntu One service is
> disabled.
> This bug reports serves as a master bug report for the reports that
> describe the failure to sync contacts and bookmarks.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-servers/+bug/585530/+subscribe
>

Revision history for this message
Samizdata (samizdata) wrote :

Then maybe they should have called something OTHER than UbuntuOne and the
UbuntuOne Music Store. Branding is everything...

--------------------------------------------------
From: "William Grant" <email address hidden>
Sent: Sunday, July 11, 2010 5:42 PM
To: <email address hidden>
Subject: [Bug 585530] Re: Desktopcouch Replication is disabled -
evolutioncontacts and bookmarks are not syncing

> Note that this has nothing to do with the Ubuntu community; it's a
> Canonical product.
>
> --
> Desktopcouch Replication is disabled - evolution contacts and bookmarks
> are not syncing
> https://bugs.launchpad.net/bugs/585530
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Servers: Triaged
>
> Bug description:
> At the moment replication from desktopcouch to Ubuntu One service is
> disabled.
> This bug reports serves as a master bug report for the reports that
> describe the failure to sync contacts and bookmarks.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-servers/+bug/585530/+subscribe
>

Revision history for this message
Samizdata (samizdata) wrote :

Ummm, make that last one, something OTHER than, please...

Revision history for this message
michael (michaelahearn) wrote :

Well, branding is maybe half of it :P
At best, it's bad PR for Ubuntu, the OS ...

Revision history for this message
michael (michaelahearn) wrote :

Also ... to the U1 developers:

Believe me, I'm not complaining. I'll take drink the "free beer" and am thankful for it :) The majority of U1 (and Ubuntu for that matter) appears to work without issue for me and frankly, the fact that contacts are not syncing is not that big of a deal to me.

Kudos to the U1 developers for getting everything working as well as it does - especially when I'm sure that the majority of users (including me, for now at least :P ) are taking advantage of the free 2 GB and not paying for the upgrade ...

Revision history for this message
Martin Albisetti (beuno) wrote :

We will be enabling replication for another 100,000 users by the end of this week.

Revision history for this message
Jonas Schwabe (jonas-schwabe) wrote :

All I (maybe wee) waited for :) a short statement. You are moving forward which is everything I wanted to know.
But please keep us updated on the process more frequently.

Revision history for this message
michael (michaelahearn) wrote :

Thank you so much for the update ... much appreciated.

Revision history for this message
Emil Vatai (emil.vatai) wrote :

Yeah! Thanks from me too! :) We're with you!
Best wishes!
Emil

Revision history for this message
seanlano (seanlano) wrote :

Another 100,000 users? I had no idea there were so many! How many users are there all up? U1 sounds like its been a big hit, then. Also, how many people are there estimated to be using Ubuntu worldwide?

Revision history for this message
techatdd (techatdd) wrote :

I ordered the 50GB subscription plan. 50% for supporting Canonical for Ubuntu and 50% for a simple Contact Desktop Synchronization between my IPhone and my Ubuntu PCs.
For the last 3 months I never could sync my contacts, but still have the good feeling about supporting Ubuntu. ;-)
Hopefully this month we will have more luck.

Revision history for this message
Peter Bomars (pbomars) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

Seriously, folks... Please keep it to the forums. My mailbox is
exploding with non bug-related stuff. </whine>

Revision history for this message
AJenbo (ajenbo) wrote :

@Peter you know you can unsubscripe form this bug right ;)

@All: Good news every one, I believe I have found a workaround:
On 16 Jun 2010 syncevolution was release as 1.0 it should allow you to set up an alternative rout to syncing your U1 contacts with Evolution. You have to added a phone sync (just pick any phone if you don't have one) under contacts from the U1 WebUI, then install Syncevolution from http://syncevolution.org/ and enter the password etc. and it should start syncing your contacts even though the usual Evo<->U1 route is down (as long as the mobile SyncML rout is up).

@Martin Albisetti: By the way, what was the big catastrophe that happened between the 25 of May and the 4th of Jun?
Also how many have you moved already, I am number 377XXX (i signed on some where between October 2009 and Marts 2010) so will I have waited 50% of the needed time by the end of this week?

Also I'm bringing my parents on to U1 next week (as paying customers no less), so will new users automatically start out on the new server and just work, or will i have to forward shallow promises to my mother?

Note that I am not trying to spam here, I believe that answering my questions will bring general value to this bug report, for all to better under stand the issue and the progress of the fix.
On that note, is there a better way to find out your user ID then paying for the 50GB, cancel the credit card you used to pay with and then waiting for Canonical to complain about missing payments?

Revision history for this message
Matt Griffin (mattgriffin) wrote :

Ajenbo (and everyone) - The issue was with CouchDB, which we are using to store contacts, bookmarks, and other syncing data. With the large user growth after 10.04, we found that our server implementation wasn't scaling very well. We saw similar results in other aspects of our infrastructure which we have already addressed throughout the last few months (e.g., file sync speed). The best solution for the data sync problems was to disable the service rather than have a very poor experience where users never know if data was in sync or not.

We have been working very closely with the CouchDB team to develop enhancements which should address our scalability issues and are close to completing our testing of the changes. Rather than enable everyone at the same time, we feel a less risky route will be to slowly increase the number of users for re-enabling sync. This will ensure that we're comfortable with the performance and can add more users (like you). Throughout this process, we will provide more information about the progress as it is available by posting comments on this bug. Thanks to everyone for the immense patience! More news soon.

Revision history for this message
Pento (naplanetu) wrote :

Hi, all!
Any news about contacts sync? Dates? It is very important feature =(

Revision history for this message
Martin Albisetti (beuno) wrote :

Yes, we're continuing opening up replication for more users gradually, trying not to overwhelm the servers.
In parallel, the upgrade to the latest version of couchdb is almost done. We still have to finish testing it and deploying, but that will allow us to open it up for everybody at once.
In the mean time, we continue to gradually open up for more users.

Revision history for this message
Matt Griffin (mattgriffin) wrote :

Update: We’re are continuing to re-enable sync for more and more customers and are monitoring how the infrastructure behaves. We’re also working in a parallel to upgrade to the latest version of CouchDB (1.0). More news soon. Thanks!

Revision history for this message
JoseRoberto (joseroberto) wrote :

I understand that changing the servers and enabling it to some users it hard, but I didn't expected that will take too much time, but well...

Considering that a lot of people are waiting the contact service (including myself), will be possible that someone from the Ubuntu One team send us an e-mail telling us that the contact service for his/her account it enable for sync it with evolution?

Another thing, I was thinking in a countdown from all the contacts that left to change to the new server, with that everyone can know how many time left for the complete change

Thanks for your time

Revision history for this message
Pento (naplanetu) wrote :

I agree with Jose.This ticket is in progress for a 2 months. It is really too much time :(
I has ordered the 50GB subscription plan to use fully U1 especially to sync my data (contacts and calendar) between phone and desktops.

Revision history for this message
Robin Bownes (otherob) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

Here is the alternative that I've implemented.

1. Stop waiting for Ubuntu One.
2. Set up a GMail/Google account if you don't already have one.
3. Export your Evolution contacts to a csv file and then import them into
your Google Mail contacts.
4. In Evolution, create a new contact list of type Google, specifying your
Google account login details.
5. Set this contact list to "copy contacts for offline use" and set as
default contact list.

Hey Presto! A self-syncronising contact list that actually works and is
accessible from any PC. Added benefit is that it may also sync with your
mobile.

------------------------------------------
On Mon, Jul 26, 2010 at 11:57 PM, JoseRoberto <email address hidden>wrote:

> I understand that changing the servers and enabling it to some users it
> hard, but I didn't expected that will take too much time, but well...
>
> Considering that a lot of people are waiting the contact service
> (including myself), will be possible that someone from the Ubuntu One
> team send us an e-mail telling us that the contact service for his/her
> account it enable for sync it with evolution?
>
> Another thing, I was thinking in a countdown from all the contacts that
> left to change to the new server, with that everyone can know how many
> time left for the complete change
>
> Thanks for your time
>
> --
> Desktopcouch Replication is disabled - evolution contacts and bookmarks are
> not syncing
> https://bugs.launchpad.net/bugs/585530
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Servers: Triaged
>
> Bug description:
> At the moment replication from desktopcouch to Ubuntu One service is
> disabled.
> This bug reports serves as a master bug report for the reports that
> describe the failure to sync contacts and bookmarks.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-servers/+bug/585530/+subscribe
>

Revision history for this message
JoseRoberto (joseroberto) wrote :

My comment isn't for leave ubuntu one, it for contribute with two ideas that will show us that the ubuntu one team it working hard (I know that they are working hard, but with the implementation of the countdown and the e-mail message will show to everyone that it using this service can trust on it by their graveness and their interest to the end-user of this project)

Until they are taking too much time, the contact synchronization it not the only solution that the project gives to the ubuntu users that we can appraise that because Gmail don't give you the same things of Ubuntu One.

I don't blame to the ubuntu one team to take all that time, but with my suggested ideas we can know how many time will take to synchronize our contacts in their servers and with the e-mail message we can know that the ubuntu one really cares the service and they are working as fast as they can. Also we should know that only the people those have access on the servers are working on it but we as users or developers can't help on this bug, until if there is something that we can do with our knowledge for accelerate the process.

This project still as beta, so the bugs will be normal, but it not a justify of stop using the service, specially if someone paid the 50GB service.

I trust on this project and as ubuntu users we should trust on their team, will take a lot of time but we are not going to die for that.

Thanks for your time.

PS: I really want some comments from the Ubuntu One team about my suggestions.

Revision history for this message
papukaija (papukaija) wrote :

@JoseRoberto: Your suggestions need even more time from the devs and you already said that they are working hard...

U1 team: Please give an update of the situation.

Revision history for this message
JoseRoberto (joseroberto) wrote :

I don't think so, at least the e-mail message don't take too much time, and the countdown can be updated by each day and not by each hour or minutes. Also they will be autoupgrading the status of the change of server using hte number of accounts that left to move to the new server, so will mean that they don't need to update the status of the bug at launchpad (unless that something happened with the servers or something like that).

I said that they are working hard because it their jobs and I don't thing that they will disappoint us with not working or working not that hard that we can expect from the team.

U1 team: I still waiting for any comment from you about my suggestions.

Revision history for this message
James Lewis (james-fsck) wrote :

IMO there should be a something more prominently displayed on the main "one.ubuntu.com" page... I /am/ a paid subscriber, and although I mainly use the file sync, I have been trying on/off for some time to figure out what is mis-configured in my contact sync... I only discovered this bug by accident... Had I known that it was down, I could have saved considerable time by not bothering... it is a little irritating that it's taken so long to fix, but I'm pretty relaxed about it, although others may not be....

I am rather shocked that this situation could have happened, and I hope Canonical can learn from it and avoid what would be a very serious situation for many a commercial venture...

Revision history for this message
ulrich (ulrich) wrote :

People, please: this is a bug report, not a thread in a forum.
I subscribed to this bug, because for me, sync is also disabled and i wanted to know what goes on in ubuntuland to solve this and when.
I'm NOT repeat NOT subscribed, to know who subscribed to what U1 plan, how much it costs, why they subscribed to U1, why their mother now uses Windows, what alternative Services/setups someone uses, why this, why that, why blablah.
so, could you please please please STOP spamming launchpad and taking the discussion somewhere appropriate?

thaks in advance

ulrich

Revision history for this message
Kyle Raglin (ktraglin) wrote :

Same problem as everyone else, but for other reasons had to move to another machine. Does anyone know how I can export my Ubuntu One contacts to CSV or some other format?

Revision history for this message
Marcel Stimberg (marcelstimberg) wrote :

@Kyle: If you use the evolution mail client, you can right click on the Ubuntu One address book and export all contacts in VCard format.

Revision history for this message
Kyle Raglin (ktraglin) wrote : Re: [Bug 585530] Re: Desktopcouch Replication is disabled - evolution contacts and bookmarks are not syncing

The problem is all my contacts are on Ubuntu One servers. I want to
import them to Evolution because the hard drive I had is 500 miles away.
I'd hoped to be able to simply sync Ubuntu One servers to the machine
I'm using now, but (as you know) I can't get to my data - except through
the the web site.

On Wed, 2010-08-11 at 09:39 +0000, Marcel Stimberg wrote:
> @Kyle: If you use the evolution mail client, you can right click on the
> Ubuntu One address book and export all contacts in VCard format.

Revision history for this message
Marcão (marcus-fagundes) wrote :

When this will be ok?

Thanks

Revision history for this message
AJenbo (ajenbo) wrote :

@Kyle: you can use http://syncevolution.org/blogs/pohly/2010/syncevolution-101-released to enable sync, you can get your login data by signing up for mobile sync on ubuntu one.

Revision history for this message
Marcelo Ramos (marcelor) wrote :

@Ajenbo: Which url should be used in the syncevolution settings?

Revision history for this message
AJenbo (ajenbo) wrote :
Revision history for this message
papukaija (papukaija) wrote :

Official status update from https://wiki.ubuntu.com/UbuntuOne/Status#Contacts :

Thursday, August 19, 2010: Contacts sync between desktops and the cloud continues to be disabled for most users (585530). We're opening the service back up slowly across our user base and monitoring stability and performance. As we're doing this, we're discovering new issues that prevent us from bringing the service back up fully for all existing and new users. We apologize for the very long outage and the lack of hard dates on when the service will be back up and 100%.

Thursday, August 19, 2010 at 11:00 UTC - We performed a CouchDB upgrade, which is an important step in getting the service back up for all users

tags: added: metabug
Revision history for this message
Kyle Raglin (ktraglin) wrote :

@AJenbo: re: ...you can use http://syncevolution.org/blogs/pohly/2010/syncevolution-101-released...

It seems that this isn't working either. https://one.ubuntu.com/phones yeilds the words "Something has gone wrong"

Revision history for this message
AJenbo (ajenbo) wrote :

@Kyle: Did you remember to use your mobile username and password and not your normal one? You where probably just unlucky and hit a temporary error with the mobile sync. The link works grate for me.
Also not this issue on the wiki: Thursday, August 26, 2010: Creation of new mobile users is broken at the moment. We're investigating the cause and will resolve soon.

And just to update every one on this issue while im here: Wednesday, August 25, 2010 - After doing some further updates on the CouchDB server side, we made some more progress on getting CouchDB sync back for all users. We're currently working on fixing invalid OAuth tokens.

Sounds like they are getting some where with this now, finatly.

Revision history for this message
David Kaplan (dmkaplan) wrote :

I have to add my voice of frustration with this. I have been trying to figure out why syncing contacts isn't working for months, thinking that the problem was a bug. I even generated a bug report 2+ months ago (bug #590697), but no one has responded or marked it as a duplicate of this bug. If I hadn't stumbled upon the status page, I never would have known it was a global problem. Maybe this was stupid on my part, but I just didn't have time to search all over the place to find the problem. And who would expect that this was a 3+ month global outage when contact syncing is still listed as a major feature on the ubuntu web page (http://www.ubuntu.com/desktop) - it just has to be working. I was planning on paying for a ubuntuone account upgrade once it stabilized, but I can't imagine doing that now - who knows if and when ubuntuone will be fully functional and how long after that until the next outage.

Some constructive suggestions to help users understand what is going on:

1) Temporarily disable the contact syncing part of the ubuntu one management utility in System->Preferences so people understand the service is not functional yet.
2) When you log in to the ubuntuone website and particularly when you go to the contacts tab, make it clear this is broken - the cryptic status announcements in the sidebar don't indicate this is the case (at least not today they don't).
3) Update the ubuntuone debugging page to indicate that contacts aren't working with a reference to this bug (https://wiki.ubuntu.com/UbuntuOne/Bugs). I have edited this page to add a comment, but more could be done to make this clearer.

Revision history for this message
papukaija (papukaija) wrote :

@David: Contact (and bookmark) syncing is not listed at https://wiki.ubuntu.com/UbuntuOne/Bugs because this isn'a real bug (eg. programming mistake) and it's therefore listed at https://wiki.ubuntu.com/UbuntuOne/Status#Contacts and https://wiki.ubuntu.com/UbuntuOne/Status#Bookmarks

Revision history for this message
Kyle Raglin (ktraglin) wrote :

On Tue, 2010-08-31 at 14:37 +0000, David Kaplan wrote:
> I have to add my voice of frustration with this...
> ...Some constructive suggestions to help users understand what is going on:
>
> 1) Temporarily disable the contact syncing part of the ubuntu one management utility in System->Preferences so people understand the service is not functional yet.
> 2) When you log in to the ubuntuone website and particularly when you go to the contacts tab, make it clear this is broken - the cryptic status announcements in the sidebar don't indicate this is the case (at least not today they don't).
> 3) Update the ubuntuone debugging page to indicate that contacts aren't working with a reference to this bug (https://wiki.ubuntu.com/UbuntuOne/Bugs). I have edited this page to add a comment, but more could be done to make this clearer.

I couldn't agree more - excellent suggestions.

Revision history for this message
James Lewis (james-fsck) wrote :

@papukaija Agreed, this is not technically a bug, it's a service which is down... but people should not be expected to go to the wiki and search for a status page, there should be some indication that the service is not up 100% on the homepage of "one.ubuntu.com"... or at the very least a link to the status page, to make people aware that it exists.

I was planning not to make another posting here, on the grounds that this is not the right forum... but in light of the fact that there really isn't a "right forum"... combined with the fact that barely 2 hours ago, "Ubuntu One Contacts sync for Android now available." was posted on Identica by "Ubuntu One"... I can't help thinking that syncing with Android would possibly be hard if you can't get the data from your desktop up to the service.

Revision history for this message
Pavol Klačanský (pavolzetor-deactivatedaccount) wrote :

please, add to client on Ubuntu some indicates of service status

Revision history for this message
papukaija (papukaija) wrote :

@pavolzetor and anybody else requesting David's suggestion 1: Updating the client would require a SRU (stable release update) process for Lucid while for Maverick this wouldn't be possible until the final release as Maverick has hit Feature and UI freeze. And anyway that would require even more work to U1 team. Therefore my opinion for David's suggestion 1 is no. The second suggestion is OK. The third one isn't for status updates and that page has already a link to the status page in main the navigation menu.

Revision history for this message
David Kaplan (dmkaplan) wrote :

> @David: Contact (and bookmark) syncing is not listed at https://wiki.ubuntu.com/UbuntuOne/Bugs because this isn'a real bug (eg. programming mistake) and it's therefore listed at https://wiki.ubuntu.com/UbuntuOne/Status#Contacts and https://wiki.ubuntu.com/UbuntuOne/Status#Bookmarks

This is not a particularly constructive response. When contact syncing doesn't work, there is currently nothing obvious that indicates that it is a (3 month!) system outage instead of a bug. Looking at the logs, there is an error message that gives no clear indication of a system outage, again suggesting a bug.... Therefore, it is normal that people decide there is a bug and look on the bugs page to see if anyone else has noticed the problem. Indicating that it could be due to a system outage instead of a bug in several clear ways is just a common courtesy and just plain obvious.

> @pavolzetor and anybody else requesting David's suggestion 1: Updating the client would require a SRU (stable release update) process for Lucid while for Maverick this wouldn't be possible until the final release as Maverick has hit Feature and UI freeze. And anyway that would require even more work to U1 team. Therefore my opinion for David's suggestion 1 is no.

U1 is clearly pushing out new releases of couchDB to try to fix the problem so they could just as easily push out a release of the client management application to prevent useless self flagellation of the user. Besides, having no indication of system status on the U1 client application IS A BUG! If U1 wanted to do it, there would be no hymning and hawing about feature freezes - they would just do it.

This whole thing makes it clear that the ultimate problem is the U1 doesn't want it publicly advertised that they screwed up in a big way. I can understand that, but they are doing themselves no service by trying to hide it - longterm they will loose user confidence and in particular the small portion of users that actually make an effort to determine why it isn't working.

Revision history for this message
luca (l-savio) wrote :

Full agree with #82. OT: and we are waiting for a Kde client too...

Revision history for this message
AdamOutler (adamoutler) wrote :

Contact synchronization was working fine just a few months ago, then it stopped. This is driving me nuts because it's a feature that was pushed out with Ubuntu 9.11 and worked, then stopped working. It's been long enough that it should have been disabled and reenabled in a future release. If it's going to be more then a month, the feature should have been disabled in Ubuntu, not pushed out as a working feature with the release.

Changed in ubuntuone-servers:
status: Triaged → In Progress
Revision history for this message
Pavol Klačanský (pavolzetor-deactivatedaccount) wrote :

It should be enabled in maverick, because email in Evolution shows this feature, but it does not work, could you enable it for me, I can provide testing

UO: <email address hidden>

thanks fellas

Revision history for this message
papukaija (papukaija) wrote :
Revision history for this message
tfultz (tfultz33) wrote :

It seems it would have been easier to push from the client. manual syncing.

Revision history for this message
Kyle Raglin (ktraglin) wrote :

Today I upgraded to the Maverick beta, hoping that the new version evolution might help me to retrieve my contacts from ubuntu-one. No such luck.

Revision history for this message
papukaija (papukaija) wrote :

Good news: "Thursday, September 30, 2010 - Syncing of contacts and bookmarks has been turned back on the server side. Maverick users will need to have desktopcouch 0.6.9-0ubuntu1 installed. Ubuntu 9.10 (Karmic) and Ubuntu 10.10 LTS (Lucid) users will have to wait a bit longer for backporting of the CouchDB and Erlang packages. We hope to have the packages submitted within the next couple days. " (from https://wiki.ubuntu.com/UbuntuOne/Status#Bookmarks )

Revision history for this message
Rick Wilke (rick-thewilkes) wrote :

I read that. Updated Maverick. Needed file is installed. No syncing.

Revision history for this message
George Farris (george-gmsys) wrote :

Wow it's amazing how hard this seems to be but...

Fresh install of Maverick and all updates as of today. Contacts will sync with Evolution although there is no indication that anything is happening. Not good for a new user. However. I have 4 contacts in Ubuntu One as viewed on the web page and I end up with 7 contacts in Evolution 3 of which are completely blank and cannot be deleted or moved or changed.

Any word on Lucid Guys?

Revision history for this message
Matteo Settenvini (tchernobog) wrote :

Maverick here: latest packages installed, the replication log show a 200 OK for contacts. Don't know if it tells the truth, though, because when I fire up Evolution and go to "Contacts" it pops up an error saying that the Ubuntu One Addressbook is invalid and cannot be accessed.

Revision history for this message
suzette baedke (srbaedke) wrote :

Maverick, thank you,still have some problems;i can recieve mail now but,not send or reply! help! my internet service is good.tried to get syc. with charter,have a unix modem.the person i spoke with got very upset that i could not access windows, still cannot.cannot get smtp server or password. he just said i've wasted 27 min. with you and untill you get to windowsi won,t and hung up.any ideas?

Revision history for this message
George Farris (george-gmsys) wrote :

I just added about 40 contacts via Evolution in Maverick. They are not showing up in Ubuntu One and I can't delete them or move them in Evolution. Seriously guys you need to stop advertising that this service is ready. It just ain't so.

Revision history for this message
George Farris (george-gmsys) wrote :

Ok further to my last note the 40 contacts did eventually show up, don't know when cause I just checked them now. When I get to work in the morning I'll see if I can actually delete or move or edit a contact from Evolution.

Revision history for this message
Matteo Settenvini (tchernobog) wrote :

Dear Suzette, it seems your problem is related to an Evolution SMTP misconfiguration.
It is not relevant in this bug, though. Please ask in here: http://ubuntuforums.org/ for help configuring your email client, stating clearly which is your e-mail domain (say, @gmail.com). Do not post your full address.

By the way, sorry about the impolite behaviour of your ISP.
You should have asked about the ID number of the technician you spoke with and report him because he's not doing his job properly.

Revision history for this message
George Farris (george-gmsys) wrote :

Well in the on going saga. Got in to work this morning and have had Evolution running for about 10 minutes and I still have contacts in there that I deleted last night from the Ubuntu One Web site. I logged out and back in again and they are now in sync. It seems to take a lonnngggg time to do this but under Maverick it partially works but I can't delete or move a contact.

So:

1) Syncing works from Maverick but is really slow and you may have to log off and back in again.
2) No apparent indication that synchronization is actually working in Evolution.
3) Deleting contacts does not work from Evolution.
4) Moving contacts does not work from Evolution.

Revision history for this message
Rick Wilke (rick-thewilkes) wrote :

I want to confirm this behavior. (George Farris - comment #97). I have other issues as well, but will submit them separately. WONDERFUL to have sync working!!!!! I loaded and edited 700+ contacts to my netbook nearly a year ago and installed Ubuntu in a VBox on my desktop to be able to swap over to Evolution. Maybe soon I can.

Revision history for this message
Eric Casteleijn (thisfred) wrote :

Server side, we've (finally, after significant fixes to couchdb itself) opened up replication to everyone. Any persisting problems in replication should be filed as new bugs.

Changed in ubuntuone-servers:
status: In Progress → Fix Released
Revision history for this message
papukaija (papukaija) wrote :

Thank you U1 team for your hard work to fix this bug.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related questions